Attribute VB_Name = "Module1"
Option Explicit
Public Const FIELDDELIMITER = "&$*!"
Public Const MSGDELIMITER = "-KVQW%$-"
Public gbConnectOK As Boolean
Public gbRequestAccepted As Boolean
Public gbDataOK As Boolean
Public gbError As Boolean
Public Function Split(ByVal Sin As String, sOut() As String, _
Optional sDelim As String, Optional nLimit As Long = -1, _
Optional bCompare As VbCompareMethod = vbTextCompare) As _
Variant

   ' * Comments         : Split a string into a variant array
   ' * This is the equivalent of the VB6 function
   ' * There are two ways to get the result:
   ' * 1) Read the sout() array, since it's passed in by Reference
   ' * 2) Read the return value
   ' * If no delimiter is provided, the default of  " " is used,
   ' * just like in VB6
   ' * If the input string does not contain the delimiter,
   ' * an array with one element -- the input string --
   ' * is returned, just like in VB6
   ' **************************************************************

   Dim sRead As String, nC As Integer

   If sDelim = "" Then sDelim = " "
   
   If InStr(Sin, sDelim) = 0 Then
        ReDim sOut(0) As String
        sOut(0) = Sin
        Split = sOut
        Exit Function
   End If

   sRead = ReadUntil(Sin, sDelim, bCompare)

   Do
      ReDim Preserve sOut(nC)
      sOut(nC) = sRead
      nC = nC + 1
      If nLimit <> -1 And nC >= nLimit Then Exit Do
      sRead = ReadUntil(Sin, sDelim)
   Loop While sRead <> "~TWA"
   ReDim Preserve sOut(nC)
   sOut(nC) = Sin
   Split = sOut

End Function

Private Function ReadUntil(ByRef Sin As String, sDelim As _
String, Optional bCompare As VbCompareMethod = _
vbBinaryCompare) As String
' #VBIDEUtils#************************************************
' * Programmer Name  : Waty Thierry
' * Web Site         : www.geocities.com/ResearchTriangle/6311/
' * E-Mail           : waty.thierry@usa.net
' * Date             : 25/11/98
' * Time             : 12:07
' * Module Name      : clsIndent
' * Module Filename  : Indent.cls
' * Procedure Name   : ReadUntil
' * Parameters       :
' *        ByRef sIn As String
' *        sDelim As String
' *        Optional bCompare As VbCompareMethod = vbBinaryCompare
' **************************************************************
' * Comments         : Used by the Split function
' *
' *
' *************************************************************
Dim nPos As String

nPos = InStr(1, Sin, sDelim, bCompare)
If nPos > 0 Then
   ReadUntil = Left(Sin, nPos - 1)
   Sin = Mid(Sin, nPos + Len(sDelim))
Else
   ReadUntil = "~TWA"
End If

End Function
Public Function TrimWithoutPrejudice _
(ByVal InputString As String) As String

'Trims all non-printing characters from a string
'Snippet taken from http://www.freevbcode.com

Dim sAns As String
Dim sWkg As String
Dim sChar As String
Dim lLen As Long
Dim lCtr As Long

sAns = InputString
lLen = Len(InputString)

If lLen > 0 Then
'Ltrim
    For lCtr = 1 To lLen
        sChar = Mid(sAns, lCtr, 1)
        If Asc(sChar) > 32 Then Exit For
    Next

sAns = Mid(sAns, lCtr)
lLen = Len(sAns)

'Rtrim
    If lLen > 0 Then
        For lCtr = lLen To 1 Step -1
            sChar = Mid(sAns, lCtr, 1)
            If Asc(sChar) > 32 Then Exit For
        Next
    End If
    sAns = Left$(sAns, lCtr)
End If
TrimWithoutPrejudice = sAns

End Function

Public Sub ResetGlobals()
    gbConnectOK = False
    gbRequestAccepted = False
    gbDataOK = False
    gbError = False

End Sub

