VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsLogger"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private psFileName As String

Public Property Let FileName(NewValue As String)
    'pass in full path of filename
    psFileName = NewValue
End Property
Public Property Get FileName() As String
    FileName = ResolveFileName
End Property
Public Sub Log(Text As String)
'will append to file specified by filename property.
'if that file is invalid, will write to a default file
Dim sFileName As String
Dim iFileNum As Integer
iFileNum = FreeFile

sFileName = ResolveFileName
Open sFileName For Append As #iFileNum
Print #iFileNum, Text
Close #iFileNum




End Sub
Public Sub Reset()
'Deletes log and starts all over
Dim sFileName As String

    sFileName = ResolveFileName
    On Error Resume Next
    Kill sFileName


End Sub


Public Sub LogError(Err As Object, Optional ProcedureName As String)

If Not TypeOf Err Is ErrObject Then
    Log "Attempt to LogError Failed because invalid object type was passed to logging class"
Else
    Dim sAns As String
    sAns = "Error " & Err.Number & ", Source = " & Err.Source & ": " & Err.Description
    If ProcedureName <> "" Then
        sAns = sAns & " in " & ProcedureName
    End If
    
    Log sAns
End If
End Sub



Private Function ResolveFileName() As String
Dim sDefault As String
Dim sFileName As String
Dim iFileNum As Integer

iFileNum = FreeFile
sDefault = App.Path & IIf(Right$(App.Path, 1) = "\", "Log.txt", "\Log.txt")

If psFileName = "" Then
    sFileName = sDefault
ElseIf Dir(psFileName) = "" Then
    On Error Resume Next
    Open psFileName For Output As #iFileNum
    If Err.Number = 0 Then
        sFileName = psFileName
        Close #iFileNum
    Else
        sFileName = sDefault
        
    End If
Else
    sFileName = psFileName
End If
ResolveFileName = sFileName
End Function

